Package ru.bitel.bgbilling.kernel.event.publish.common.bean

# Class MQServer

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.event.publish.common.bean.MQServer

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class MQServer
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_TITLE` |
  `static java.lang.String` | `KEY_URL` |
  `static java.lang.String` | `KEY_USER_NAME` |
  `static java.lang.String` | `KEY_USER_PASSWORD` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MQServer()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getUrl()` |
  `java.lang.String` | `getUserName()` |
  `java.lang.String` | `getUserPassword()` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setUrl​(java.lang.String url)` |
  `void` | `setUserName​(java.lang.String userName)` |
  `void` | `setUserPassword​(java.lang.String userPassword)` |
  `org.json.JSONObject` | `toJson()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_TITLE

    public static final java.lang.String KEY_TITLE
    See Also:
      Constant Field Values

  - ### KEY_URL

    public static final java.lang.String KEY_URL
    See Also:
      Constant Field Values

  - ### KEY_USER_NAME

    public static final java.lang.String KEY_USER_NAME
    See Also:
      Constant Field Values

  - ### KEY_USER_PASSWORD

    public static final java.lang.String KEY_USER_PASSWORD
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### MQServer

    public MQServer()

- ## Method Details

  - ### getUrl

    public java.lang.String getUrl()

  - ### setUrl

    public void setUrl​(java.lang.String url)

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getUserPassword

    public java.lang.String getUserPassword()

  - ### setUserPassword

    public void setUserPassword​(java.lang.String userPassword)

  - ### setData

    public void setData​(java.lang.String data)

  - ### toJson

    public org.json.JSONObject toJson()